package com.ruoyi.base.commonproblem.service;

import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.base.commonproblem.domain.CommonProblem;
import com.ruoyi.base.commonproblem.domain.bo.CommonProblemBo;
import com.ruoyi.base.commonproblem.domain.vo.CommonProblemVo;

import javax.validation.constraints.NotNull;

/**
 * 常见问题Service接口
 *
 * @author xiechao
 * @date 2023-12-21
 */
public interface ICommonProblemService {

    /**
     * 查询常见问题分页
     *
     * @param bo 常见问题
     * @return 常见问题集合
     */
    TableDataInfo<CommonProblemVo> queryPageList(CommonProblemBo bo, PageQuery pageQuery);

    /**
     * 新增常见问题
     *
     * @param bo 常见问题
     * @return 结果
     */
    Boolean insertByBo(CommonProblemBo bo);

    /**
     * 修改常见问题
     *
     * @param bo 常见问题
     * @return 结果
     */
    Boolean updateByBo(CommonProblemBo bo);

    /**
     * 通过id查询常见问题信息
     * @param id
     * @return
     */
    CommonProblemVo getById(Integer id);

    /**
     * 详情常见问题
     *
     * @param id 常见问题主键
     * @return 常见问题
     */
    CommonProblem loadById(Integer id, Boolean tw);

    /**
     * 删除常见问题
     *
     * @param id 需要删除的常见问题主键
     * @return 结果
     */
     Boolean deleteById(Integer id);

    boolean setStatus(@NotNull(message = "主键不能为空") Integer id);
}
